Transaction with STX transfers for a given address

export
interface

  AddressTransactionWithTransfers

### Hierarchy

- AddressTransactionWithTransfers

## Index

### Properties

- ft_transfers
- nft_transfers
- stx_received
- stx_sent
- stx_transfers
- tx

## Properties

### Optional ft_transfers

ft_transfers: AddressTransactionWithTransfersFtTransfers []

- Defined in src/generated/models/AddressTransactionWithTransfers.ts:66

memberof

  AddressTransactionWithTransfers

### Optional nft_transfers

nft_transfers: AddressTransactionWithTransfersNftTransfers []

- Defined in src/generated/models/AddressTransactionWithTransfers.ts:72

memberof

  AddressTransactionWithTransfers

### stx_received

stx_received: string

- Defined in src/generated/models/AddressTransactionWithTransfers.ts:54

Total received by the given address in micro-STX as an integer string.

memberof

  AddressTransactionWithTransfers

### stx_sent

stx_sent: string

- Defined in src/generated/models/AddressTransactionWithTransfers.ts:48

Total sent from the given address, including the tx fee, in micro-STX as an integer string.

memberof

  AddressTransactionWithTransfers

### stx_transfers

stx_transfers: AddressTransactionWithTransfersStxTransfers []

- Defined in src/generated/models/AddressTransactionWithTransfers.ts:60

memberof

  AddressTransactionWithTransfers

### tx

tx: object

- Defined in src/generated/models/AddressTransactionWithTransfers.ts:42

Describes all transaction types on Stacks 2.0 blockchain

memberof

  AddressTransactionWithTransfers

Generated using TypeDoc